Bug 1568509 - SELinux is preventing amavisd from using the dac_override capability
Summary: SELinux is preventing amavisd from using the dac_override capability
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 16:16 UTC by Juan Orti Alcaine
Modified: 2018-05-02 10:52 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-02 10:52:24 UTC


Attachments (Terms of Use)

Description Juan Orti Alcaine 2018-04-17 16:16:39 UTC
SELinux is preventing amavisd from using the dac_override capability.                                                                                                                                                               
*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do                                              
               
Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it,
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that amavisd should have the dac_override capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'amavisd' --raw | audit2allow -M my-amavisd
# semodule -X 300 -i my-amavisd.pp


Additional Information:
Source Context                system_u:system_r:antivirus_t:s0
Target Context                system_u:system_r:antivirus_t:s0
Target Objects                Unknown [ capability ]
Source                        amavisd
Source Path                   amavisd
Port                          <Unknown>
Host                          helio
Source RPM Packages
Target RPM Packages
Policy RPM                    selinux-policy-3.14.1-21.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     helio
Platform                      Linux helio 4.16.2-300.fc28.x86_64 #1 SMP Thu Apr
                              12 14:58:07 UTC 2018 x86_64 x86_64
Alert Count                   15
First Seen                    2018-04-17 16:08:25 CEST
Last Seen                     2018-04-17 18:13:48 CEST
Local ID                      8f04bc4b-331a-4dd6-840b-9ad69aee5269

Raw Audit Messages
type=AVC msg=audit(1523981628.373:570): avc:  denied  { dac_override } for  pid=3667 comm="amavisd" capability=1  scontext=system_u:system_r:antivirus_t:s0 tcontext=system_u:system_r:antivirus_t:s0 tclass=capability permissive=0


Hash: amavisd,antivirus_t,antivirus_t,capability,dac_override

Comment 1 Fedora Update System 2018-04-29 13:16:45 UTC
selinux-policy-3.14.1-24.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f58fabee4

Comment 2 Fedora Update System 2018-04-30 01:18:30 UTC
selinux-policy-3.14.1-24.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f58fabee4

Comment 3 Fedora Update System 2018-05-02 10:52:24 UTC
selinux-policy-3.14.1-24.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.